0.11.3 (2024-11-06)
======
- Use subdomain for api.met.no
- Avoid calling libsoup callbacks when dialogs are destroyed
- weather-config: Fix memory leak on GtkBuilder
- scan-build: Add false positive file
- scan-build: Fix core.uninitialized.Branch
- scan-build: Fix deadcode.DeadStores
- scan-build: core.NullDereference
- icon: Apply translate logic to get_symbol_name
- build: Use XDT_VERSION_INIT and get rid of configure.ac.in
- weather-config: Fix memory management of source
- I18n: Update po/LINGUAS list
- build: Drop intltool requirements
- Translation Updates:
  Albanian, Arabic, Basque, Belarusian, Bulgarian, Catalan, Chinese
  (China), Chinese (Taiwan), Croatian, Czech, Danish, Dutch, Eastern
  Armenian, English (Australia), English (United Kingdom), Estonian,
  Finnish, French, Galician, German, Greek, Hebrew, Hungarian,
  Icelandic, Indonesian, Italian, Japanese, Korean, Lithuanian, Malay,
  Norwegian Bokmål, Norwegian Nynorsk, Occitan (post 1500), Polish,
  Portuguese, Portuguese (Brazil), Russian, Serbian, Slovak, Slovenian,
  Spanish, Swedish, Thai, Turkish, Ukrainian

0.11.2 (2024-03-08)
======
- Update copyright year
- Astro data downloads adapted
- Do not translate warning messages
- Fix leaks around remove_timezone_offset()
- build: Bump glib version
- Migration to Sunrise API 3.0
- Silence one more warning
- Be less verbose about network requests
- Do not warn about missing -night icon variants (Fixes #60)
- Use link color with better constrat for dark themes
- Remove dead code
- Fix remove_timezone_offset()
- Add some const qualifiers
- Fix moon_phases array
- Do not translate warning messages
- Fix a typo, everytime → every time.
- Translation Updates:
  Albanian, Arabic, Basque, Belarusian, Bulgarian, Catalan, Chinese
  (China), Chinese (Taiwan), Croatian, Czech, Danish, Dutch, Eastern
  Armenian, English (Australia), English (United Kingdom), Estonian,
  Finnish, French, Galician, German, Greek, Hebrew, Hungarian,
  Icelandic, Indonesian, Italian, Japanese, Korean, Lithuanian, Malay,
  Norwegian Bokmål, Norwegian Nynorsk, Occitan (post 1500), Polish,
  Portuguese, Portuguese (Brazil), Russian, Serbian, Slovak, Slovenian,
  Spanish, Swedish, Thai, Turkish, Ukrainian

0.11.1 (2023-04-21)
======
- Update copyright year
- Remove deprecated project files
- Prevent Celcius display of -0C (fixes #63)
- Fix blurry logo when UI scale > 1
- Fix blurry icons when UI scale > 1
- Fix intltool lock file bug in make distcheck
- Rename `timezone` to avoid shadowing global variable
- Return from function to avoid using garbage values
- Use correct variable
- Add settings button to summary window (Fixes #41)
- Drop strftime padding (Fixes #46)
- Improve settings UI
- Add new icons with rDNS naming
- Fix forecast layout (Fixes #40)
- Translation Updates:
  Albanian, Arabic, Basque, Belarusian, Bulgarian, Catalan, Chinese
  (China), Chinese (Taiwan), Croatian, Czech, Danish, Dutch, Eastern
  Armenian, English (Australia), English (United Kingdom), Estonian,
  Finnish, French, Galician, German, Greek, Hebrew, Hungarian,
  Icelandic, Indonesian, Italian, Japanese, Korean, Lithuanian, Malay,
  Norwegian Bokmål, Norwegian Nynorsk, Occitan (post 1500), Polish,
  Portuguese, Portuguese (Brazil), Russian, Serbian, Slovak, Slovenian,
  Spanish, Swedish, Thai, Turkish, Ukrainian

0.11.0
======
- Port to Xfconf
- Fix null g_array_sort() argument
- settings: Use infobar and symbolic icons
- Improve forecast window
- autoconf: Remove AC_HEADER_STDC
- Update `.gitignore`
- Set pointers to NULL
- Fix double-free
- Fix missing-prototypes
- Enable debug=yes when compiling from git and fix warnings
- Remove GSourceFunc casts
- Update copyright
- Translation Updates:
  Basque, Belarusian, Bulgarian, Czech, Danish, Finnish, Greek,
  Portuguese (Brazil), Russian, Serbian, Slovak, Turkish, Ukrainian

0.10.2
======
- weather-icon: fix use-after-free in get_user_icons_dir
- Fix GTimeVal deprecation
- Update copyright/bugzilla URLs
- Switch to the 2.0 API
- Add basic GitLab pipeline
- Bug #16717: Move from exo-csource to xdt-csource
- Fix unprintable character in summary subtitle (bug #16394)
- Improve contrast in weather report, similar to GTK2 + Adwaita (bug 
#15806)
- Enable keyboard scrolling in Details pane (bug #15912)
- Support solarnoon and solarmidnight (bug #15771)
- Fix day/night calculation (bug #16091)
- Translation Updates:
  Albanian, Arabic, Basque, Belarusian, Bulgarian, Catalan, Chinese
  (China), Chinese (Taiwan), Croatian, Czech, Danish, Dutch, Eastern
  Armenian, English (Australia), English (United Kingdom), Estonian,
  Finnish, French, Galician, German, Greek, Hebrew, Hungarian,
  Icelandic, Indonesian, Italian, Japanese, Korean, Lithuanian, Malay,
  Norwegian Bokmål, Norwegian Nynorsk, Occitan (post 1500), Polish,
  Portuguese, Portuguese (Brazil), Russian, Serbian, Slovak, Slovenian,
  Spanish, Swedish, Thai, Turkish, Ukrainian

0.10.1
======
- Switch to 'locationforecast' product and use a more recent API
version (bug #16268)
- Fix invalid scrollbar index to add a label (bug #16023)
- Update URLs from goodies.x.o to docs.x.o (bug #16182)
- Fix build with panel 4.15
- Make build output less verbose
- Use standard icon names (bug #16059)
- Translation Updates:
  Albanian, Croatian, Finnish, Galician, Greek, Portuguese, Slovak,
  Slovenian,

0.10.0
======
- Translation Updates:
  Albanian, Arabic, Asturian, Basque, Bulgarian, Chinese (China),
  Croatian, Danish, Dutch, English (United Kingdom), Finnish, French,
  Galician, Greek, Icelandic, Indonesian, Italian, Lithuanian, Norwegian
  Bokmål, Norwegian Nynorsk, Occitan (post 1500), Polish, Portuguese,
  Russian, Slovenian, Spanish, Turkish

0.9.1
=====
- Use https for all connections (bug #13645)
- Use the latest sunrise API (2.0) (bug #14972)
- Use xfce_panel_plugin_get_icon_size so the weather icon respects the
  panel's configured icon size
- Fix link to the met.no logo
- Translation updates: Belarusian, Bulgarian, Catalan, Chinese (China),
  Chinese (Taiwan), Czech, Danish, Dutch, English (Australia), Finnish,
  French, Galician, German, Greek, Hebrew, Hungarian, Icelandic,
  Italian, Japanese, Korean, Lithuanian, Malay, Polish, Portuguese,
  Portuguese (Brazil), Russian, Serbian, Slovak, Spanish, Swedish, Thai,
  Turkish, Ukrainian

0.9.0
=====
- Port to GTK+ 3
  - Preferences dialog ported to Glade
  - Replaced individual header includes
  - Replaced deprecated symbols
  - Replaced direct access with accessor functions
  - Improved forecast background with dark and light themes
  - Improved spacing in the preference and forecast dialogs
  - Added small (3px) padding between weather icon and scrollbox
  - Fixed full debug builds
- Port to libsoup 2.42
- Updated build requirements:
  - gtk+-3.0 3.22.0+
  - gthread-2.0 2.42.0+
  - glib-2.0 2.42.0+
  - libxfce4util-1.0 4.12.0+
  - libxfce4ui-2 4.12.0+
  - libxfce4panel-2.0 4.12.0+
  - libsoup-2.4 2.42.0+
- Use HTTPS where possible
- Translation updates: Albanian, Belarusian, Bulgarian, Catalan,
  Chinese (China), Croatian, Danish, Dutch, French, Galician, Hebrew,
  Hungarian, Italian, Korean, Lithuanian, Polish, Portuguese (Brazil),
  Russian, Serbian, Swedish, Turkish

0.8.10
======
- Set USER_AGENT for nominatim search (bug #13877)
- Fix showing times in UTC instead of local time on FreeBSD
  (bug #13358)
- Translation updates: Arabic, Asturian, Basque, Belarusian,
  Bulgarian, Catalan, Chinese (China), Chinese (Taiwan), Croatian,
  Czech, Danish, Dutch (Flemish), English (Australia), English (Great
  Britain), Finnish, French, German, Greek, Hebrew, Hungarian,
  Icelandic, Indonesian, Italian, Japanese, Korean, Lithuanian, Malay,
  Norwegian Bokmål, Norwegian Nynorsk, Occitan, Polish, Portuguese,
  Portuguese (Brazilian), Russian, Serbian, Slovak, Slovenian,
  Spanish, Swedish, Thai, Turkish, Ukrainian

0.8.9
=====
- Bump LocationforecastLTS version to 1.3
- Fix two compiler warnings about implicit declarations of functions
- Change more URLs from http://yr.no to https://met.no
- Translation updates: Basque, Croatian, Czech, Occitan, Slovak

0.8.8
=====
- Use https://api.met.no, old site has been deprecated and will no
  longer work
- Translation updates: Catalan, Indonesian, Korean, Lithuanian,
  Slovak, Swedish

0.8.7
=====
- Use met.no sunrise-1.1 API (bug #12333)
- Translation updates: Catalan, Finnish, Greek, Hebrew, Hungarian,
  Icelandic, Italian, Korean, Lithuanian, Slovak, Spanish, Swedish

0.8.6
=====
- Add ACLOCAL_AMFLAGS to Makefile.am
- Remove negative sign when temperature is rounded to 0 °F (bug #11604)
- Fix IT_PROG_INTLTOOL warning
- Translation updates: Asturian, Bulgarian, French, Greek, Icelandic,
  Lithuanian, Norwegian Bokmål, Norwegian Nynorsk, Russian, Slovenian,
  Spanish, Swedish, Turkish

0.8.5
=====
- Many translation updates

0.8.4
=====
- Improve UI feedback when resetting weather data
- Show API deprecation warnings in the details tab of the summary
  window instead of the standard output
- Support upower-0.99 (bug #10922)
- Use locationforecastLTS-1.2 API (bug #10916)
- Add code to handle proxy authentication (bug #10820)
- Remove code dealing with laptop lid open/close (bug #10330)
- Show astrodata in forecast day header tooltip in summary window
- Fetch and cache astronomical data for multiple days
- Add a button for opening/creating the user icon themes directory in
  the config dialog
- Sort icon themes by path names (user themes are listed first)
- Correct spelling of precipitation (bug #9938)
- Context menu: Resolve mnemonic conflict for Refresh and Remove
  (bug #9911)
- Summary window: Fix clock not updating properly (bug #9933)
- Fix wind direction translation (bug #9895)
- Make using only a single row the default setting
- Better handle single row and icon size in various panel modes
- Fix text color not being remembered over restarts
- Build system cleanups and dependency bumps
- Many translation updates

0.8.3
=====

- Replace the old buggy weather-http implementation with libsoup.
  This solves compilation errors on some systems like Solaris and
  makes the plugin compatible with HTTP-1.1 chunked transfer
  encoding. Proxy settings are now handled via environment variables
  if set, which is how most other applications do it. Apart from that,
  communication is now asynchronous and doesn't block the UI (bug
  #9636).
- Fix a rather severe bug in 0.8.2 which caused sending a HTTP request
  to the forecast service every 15 seconds in case of a download
  error.
- Analyze HTTP status codes and implement API deprecation warning.
  Status codes and deprecation warning are visible as warnings in the
  panel output.
- Weather data downloads are performed every 20 minutes, astronomical
  data updates only once a day. In case of failure, there will be
  retries in shorter intervals for some time, then the plugin will
  return to the standard interval.
- Rewrite the update code. Update events are now processed in time, or
  in certain unforeseen cases like suspend/resume within an interval
  of maximum 10 seconds.
- Implement caching of data. Astronomical for the current day and
  weather data will be cached and read on startup and when location
  data is changed. Besides reducing network traffic and a seemingly
  faster startup, this means the plugin can operate without internet
  connection for a while. More information about caching is available
  in the README file.
- Improve calculation of daytime forecasts and current conditions.
- Caching of data also improves calculation of current conditions.
  Data for current conditions is now interpolated and calculated for 5
  minute intervals. If data for the beginning of the current interval
  is not available, the plugin reverts to the old, non-interpolating
  behaviour of being slightly to largely imprecise about the current
  weather, to a degree depending on the time interval for your
  location. In short, only data for the end of the current interval
  will be shown as earlier data is not provided by the forecast
  service.
- Fix/work around timezone problems by /moving/ the plugin into
  another timezone. This makes the plugin show local times of the
  chosen location and probably fixes other bugs that might occur
  when the user changes the timezone (bug #9524).
- Add a proper "About" dialog (bug #9379).
- Use panel toggle button instead of an event box as the main plugin
  container, to indicate whether forecast window is open or closed,
  and to give better UI feedback for the user. This is similar to
  other plugins like the datetime plugin.
- Remove info button from summary window.
- Remove forecast entry from plugin context menu (bug #9319).
- Remember last selected tab in config and summary windows. However,
  the setting is not saved to the config file.
- Reformat detailed weather report in summary window.
- Fix cursor not changing correctly in details tab.
- Fix met.no logo transparency issue with some themes in details tab.
- Show tooltips for forecast cells in summary window.
- Show information about previous and scheduled downloads in the
  details tab.
- Update comments for the weather symbol descriptions.
- New value: Apparent temperature (bug #9564).
- New value: Dew point.
- Rename value: Atmospheric pressure is barometric pressure.
- Rename value: Humidity is relative humidity.
- Rename value: Medium clouds is middle clouds.
- Guess amount of snow precipitation from rain.
- Use more digits for precipitation in inches.
- The new config dialog applies options immediately and contains
  explanatory tooltips for nearly every item.
- New options to set latitude and longitude manually.
- New option to set the altitude (in meters or feet, depending on
  the chosen unit on the units page). The met.no elevation model
  is not very good outside Norway.
- Altitude is auto-detected using the GeoNames web service, which
  isn't perfect but better than the met.no elevation model outside
  Norway and free. GeoNames data can improve over time by receiving
  voluntary contributions.
- Rework unit system support. The simple but lacking METRIC/IMPERIAL
  units option has been replaced with single options for every unit
  so that the user can create a customized unit system, with more
  units available than before. It still tries to set up the right
  "set" at location auto-detection, based on the country code.
- Use g_timeout_add_seconds for scrollbox updates where applicable
  instead of g_timeout_add. This has the potential to save CPU time.
- Add scrollbox toggle option. Saves CPU time significantly.
- Disabling scrollbox animation reduces CPU time sigificantly.
- Improve handling of scrollbox updates. Updates don't disturb or
  restart animations in many cases and seem to happen more seamlessly,
  except when desired, e.g. on user-provoked data resets.
- New option to set font size manually and removed code that did it
  automatically (bug #9369).
  Font settings can be undone by middle-clicking on the button.
- Implement scrollbox text color support (bug #7488).
  Text color can be undone by middle-clicking on the button.
- Implement scrollbox multi-line support (bug #5722).
- Option to round values in scrollbox, tooltip and forecast tab, which
  makes the widgets look a bit cleaner. In the details tab, always the
  exact values will be shown (bug #9509 and bug #9318).
- The user may now choose from two different forecast layouts: "Days
  in columns", a calendar-like variant similar to the one in pre-0.8
  versions, and "Days in rows" which was used beginning with
  0.8.0. The latter is still the default.
- Implement tooltip styles: In addition to the default tooltip that
  some people might find a bit verbose, a simple tooltip style is now
  available, showing only some interesting values. This is a bit
  experimental, and either the current solution will be enhanced,
  probably by providing more styles, or dropped completely to keep
  things simple.
- This version introduces icon theme support! The user can add folders
  with icon sets to ~/.config/xfce4/weather/icons and select them on
  the appearance tab on the configuration dialog. Icon themes will also
  be searched in the THEMEDIR specified at compile time. Please read
  the docs for more information if you're interested in creating icon
  themes (bug #6464).
- Improve liquid icons: Crop the borders and resize the icons while
  applying sharpness filters etc. This makes them look bigger and
  easier discernable.
- New icon theme "Simplistic" by Simon Steinbeiß, which should look
  good on light and dark panels.
- New icon theme "Liquid Dark", a variation of the liquid icon theme
  better suited for dark panels.
- Add optional support for upower for extending battery life. Power
  saving can be disabled via a hidden option in the config file.
- Improvements for translators of RTL languages.
- Use GArrays for storing timeslices and glib data structures in many
  other places to improve portability and maintenance.
- Rewrite and refactor most code, fixing and protecting against
  possible crashes.
- Make building the plugin work with automake-1.13 (bug #9763).

0.8.2
=====
- Lots of translations updates.
- Update liquid icon set to be complete (bug #9242).
- Improve sleet icons (bug #9233).
- Improve rain icons for darker panels (bug #9233).
- Correct symbol descriptions and add comments with explanations.
- Correct and improve liquid icons (bug #9228).
- Updated README with documentation from Xfce Goodies homepage.
- Add debugging code and instructions on how to debug in README.
- Add section about theming and icon sets in README.
- Remove code for now unsupported GTK/GLIB versions.
- Bump minimum requirements to match Xfce-4.8 (yes, they were needed
  before) and drop some legacy code.
- Fix ugly GDK_WINDOW assertion when opening the summary window.
- Clear scrollbox labels before updating conditions (bug #9210).
- Correct "Astrological data" to "Astronomical data" (bug #9190).
- Variable name fix for Solaris (bug #9185).
- Fix crash in summary window when something weird happens (bug #9182).
- Some more code refactoring, clean up and minor fixes.

0.8.1
=====
- Show more information in panel plugin tooltip.
- Tooltip for location name in config dialog now shows latitude and
  longitude, or clearer instructions what to do.
- Fetch sunrise/sunset times via met.no webservice; This way we get
  moon phase, moonrise and moonset for free.
- Better handling of sanitizing location name.
- Correct texts in search dialog.
- Set text color on alternate cells in forecast table (bug #9150).
- Translation updates.
- Bump minimum requirements to XFCE-4.6.
- Build the plugin as a module (bug #9152).
- Get the plugin working on OpenBSD (bug #9152).
- Fix many smaller bugs like uninitialized, unused variables etc.
- Reformat and cleanup source code, improve code quality.

0.8.0
=====
- Migrate to libxfce4ui (bug #7956).
- Better handling of vertical and deskbar modes (bug #8560).
- Fix adjusting label text size to panel size.
- Fix scrollbox scroll direction in vertical mode.
- Major rewrite: Migrate to yr.no API instead of weather.com (bug #8105)
  The plugin now uses data from the Norwegian Meteorological Institute,
  which is a bit different now and forced a redesign of the summary
  window and more logic for computing the values.
  This rewrite means the hassle with the expiring license keys is finally
  gone, and the plugin shouldn't stop working suddenly, as API changes
  are announced quite some time before they become active.
  Forecasts for up to 10 days are provided, depending on the location.
  The location is defined by latitude and longitude, the actual name
  is only used for presentation.
- Switch to the new GeoIP service at geoip.xfce.org, the old one has
  stopped working correctly quite some time ago.
- Automatically set system of measurement depending on the GeoIP
  country code.
- Fix wrong location search results (bug #8832).
- Enlarge the search dialog. It's now capable of showing 10 or more
  results instead of only 2 or 3.
- Nice error message in summary window when no location was set or
  when there's no data available.
- Make left click toggle the forecast window (bug #8805)
- Optimized update intervals (downloading data and presentation).
  This should also fix update issues after suspend/resume.
- Add move label up/down buttons to config dialog.
- Add shortcuts to the widgets in the config dialog.
- Add shortcuts for accessing the notebook pages in the forecast window.
- Fix compilation warnings, possible null pointer errors, memory leaks,
  hardcoded values, make more strings translatable.

0.7.4
=====
- Add location detection based on archive.xfce.org/geolocation.
- Don't crach on 4.8 panel (bug #6965, bug #7189).
- Add support for ipv6 proxies
- Fix memory leaks and improve memory usage.
- Correct style inconsistencies
